# -*- coding: utf-8 -*-
#
# This module contains the configuration of the individual eric installation
#

_pkg_config = {
    'ericDir': r'/usr/local/share/eric6',
    'ericPixDir': r'/usr/local/share/eric6/pixmaps',
    'ericIconDir': r'/usr/local/share/eric6/icons',
    'ericDTDDir': r'/usr/local/share/eric6/DTDs',
    'ericCSSDir': r'/usr/local/share/eric6/CSSs',
    'ericStylesDir': r'/usr/local/share/eric6/Styles',
    'ericDocDir': r'/usr/local/share/doc/eric6',
    'ericExamplesDir': r'/usr/local/share/examples/eric6',
    'ericTranslationsDir': r'/usr/local/share/eric6/i18n',
    'ericTemplatesDir': r'/usr/local/share/eric6/DesignerTemplates',
    'ericCodeTemplatesDir': r'/usr/local/share/eric6/CodeTemplates',
    'ericOthersDir': r'/usr/local/share/eric6/Others',
    'bindir': r'/usr/local/bin',
    'mdir': r'/usr/local/lib/python3.9/site-packages',
    'apidir': r'/usr/local/share/qt5/qsci/api',
    'apis': ['Ruby-1.8.7.api', 'Ruby-1.9.1.api', 'calliope.api', 'circuitpython.api', 'eric6.api', 'microbit.api', 'micropython.api', 'micropython.api', 'qss.api', 'zope-2.10.7.api', 'zope-2.11.2.api', 'zope-3.3.1.api'],
}

def getConfig(name):
    '''
    Module function to get a configuration value.

    @param name name of the configuration value    @type str
    @exception AttributeError raised to indicate an invalid config entry
    '''
    try:
        return _pkg_config[name]
    except KeyError:
        pass

    raise AttributeError(
        '"{0}" is not a valid configuration value'.format(name))
